package com.zt.plat.module.qms.office.supplier.controller.vo;

import cn.hutool.core.collection.CollUtil;
import com.zt.plat.module.qms.office.supplier.dal.dataobject.SupplierPropertiesDO;
import lombok.Data;

import java.util.List;
import java.util.stream.Collectors;


@Data
public class SupplierExtendRespVO extends SupplierRespVO {

    private String certification;

    public String getCertification() {
        if (CollUtil.isNotEmpty(this.supplierPropertiesList)) {
            return this.supplierPropertiesList.stream().map(m -> m.getSubitemCode()).collect(Collectors.joining("、"));
        }
        return null;
    }

    private List<SupplierPropertiesDO> supplierPropertiesList;


}